#236 closed enhancement (fixed)

strnlen in rtems_webserver conflicts with newlib

Reported by: Eric Norum Owned by: Eric Norum
Priority: lowest Milestone: 2
Component: network/legacy Version: unknown
Severity: minor Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

The latest version of newlib provides strnlen(). This causes RTEMS libnetworking/rtems_webserver/misc.c to fail to compile.

Release:
rtems-ss-20020528

Environment:
Latest newlib CVS

Attachments (1)

strnlen.patch (1.2 KB) - added by Eric Norum on Dec 3, 2006 at 1:31:12 PM.
strnlen.patch

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Jun 28, 2002 at 12:37:26 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Jul 1, 2002 at 9:36:58 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: RTEMS newlib patch includes this now and new RPMs generated.

So strnlen() is no longer defined in the webserver.

Changed on Dec 3, 2006 at 1:31:12 PM by Eric Norum

Attachment: strnlen.patch added

strnlen.patch

Note: See TracTickets for help on using tickets.